@ECHO OFF

xcopy /y %TEMP%\utuSysUtils.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\blcksock.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synsock.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuObject.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuframework.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuRepositorySQL.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acOQL.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuQuerySQLADO.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuCollection.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuFactory.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuEvaluate.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuManager.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLinksManager.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLink.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLinkSock.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLinkHttp.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuMessage.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuRequest.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuRequestQueue.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuProtectedList.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuParamFields.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\mxuCommCenter.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\mxuConnectionServer.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\mxuUseCaseCommCenter.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuUseCaseServer.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuUseCase.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuUseCaseFactory.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\dbuDataModule.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguCategory.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguEntity.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguEvent.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguIcon.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguLevel.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguOperation.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguPermission.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguSystem.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguUseCaseTicket.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguUseCaseTicketOperation.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguSerialNumber.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguSerialNumberGroup.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguUser.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguGUITicket.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguSystemGUITickets.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuControlPanel.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\sucuBuscaObjetosBasica.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuSecurityManager.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuMain.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuContainers.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuApplicationLog.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuPersistenceLog.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuPersistenceEventsToApplicationLogSubscriber.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\NGUNatureza.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuSystem.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuProfiler.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuControlPanelConsole.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuStateMachine.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguAuditEventData.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguAuditEvent.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\sucuBuscaObjetosServidores.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguServer.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguUserMessage.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuBusinessEventNotifier.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguBusinessEvent.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguBusinessEventType.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguBusinessEventSubscriber.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\NGuBusinessSubscriberNotifierTimeWindow.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\NGuBusinessEventDistributed.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\NGuBusinessEventSubscriberError.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\NGuBusinessSubscriberNotifierEventualTimeWindow.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\NGuBusinessSubscriberNotifierTimeGrid.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuBusinessEventsOQL.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuMapeamentoExternoOperacoes.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguSystemConfigUpdateLog.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\NGUSystemUseCaseTicket.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuCadastroBasicoV4.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLinkSharedMemory.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguMensagem.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguMessage.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuApplicationMessages.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\sucuBuscaObjetosUsuarioV4.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\sucuBuscaLogAtualizacaoSistema.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\sucuBuscaNaturezas.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuCadastroNatureza.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuCadastroUsuarioSistema.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuControleAcesso.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuDetalhesAtualizacaoSistema.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuImportaConfiguracaoSistema.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuExplorerV4.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuThreadPool.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuLocale.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\Variables.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\fasTATE.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\GOLDParser.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\GrammarReader.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\LRAction.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\Rule.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\SourceFeeder.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\Symbol.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\Token.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuOQLtoSQLTranslator.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuOQL.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuOQLPath.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\OQLGRAMMARTABLE.RES .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuObjectExplorer.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuThreadTimes.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ucuPropriedadesDoServico.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\blcksock.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synsock.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synafpc.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synautil.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synacode.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synaip.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ldapsend.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\httpsend.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\asn1util.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ssl_openssl.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ssl_openssl_lib.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\cxuSession.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuSecuritySession.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuSecurityManager.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuConexoSecurityDriver.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuConexoLDAPSecurityDriver.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\PdSeguWebServiceWrapper.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuSQLDialectManager.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuSQLDialectDB2.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuSQLDialectSQLServer.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuSQLDialectOracle.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\KAZip.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuVersionInfo.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuRandomNumber.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\nguProfile.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguUserProfile.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\acuNativeSecurityDriver.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\acuMd5.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguUsuarioInternet.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguUsuarioInternetMaster.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguUsuarioInternetSubMaster.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguEventoUsuarioInternet.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguTipoEventoUsuarioInternet.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguTipoUsuarioInternet.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\nguFuncaoInternet.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ucuCadastroPerfil.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\sucuBuscaObjetosPerfil.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ucuPortal.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuVersionInfo.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\cxuUseCase.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR



GOTO ENDOK

:ENDERROR
ECHO .
ECHO ================================================================
ECHO ERRO NA EXECUCAO
ECHO ================================================================
ECHO . 
GOTO END

:ENDOK
ECHO .
ECHO ================================================================
ECHO PROCESSO EXECUTADO COM SUCESSO
ECHO ================================================================
ECHO . 
GOTO END

:END
pause